<template>
  <div id="content-wrap">
    <div class="actions">
      <div id="buttons">
        <button id="new"
        v-on:click="$emit('change-component', 'Region'); $emit('object',0)">
          Create New
        </button>
      </div>
    </div>
    <div class="table-wrap">
      <table class="tab">
        <thead>
          <tr>
            <th>Region</th>
            <th>Country</th>
            <th></th>
          </tr>
        </thead>
        <tbody>
          <tr v-for="region in regions" v-bind:key="region.id" v-bind:item="region">
            <td>{{region.region}}</td>
            <td>{{region.country}}</td>
            <td>
              <button v-on:click="modify(region.id)">Modify</button>
              <button v-on:click="deleteObj(region)">Delete</button>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
</template>

<script>
import axios from 'axios';

export default {
  name: 'Regions',
  data() {
    return {
      regions: [],
    };
  },
  mounted() {
    this.get();
  },
  methods: {
    get() {
      axios.get('http://localhost:4000/api/regions').then(
        (result) => {
          this.regions = result.data;
        },
      ).catch((error) => {
        console.log(error);
      });
    },
    modify(region) {
      this.$emit('change-component', 'Region');
      this.$emit('object', region);
      console.log(region);
    },
    deleteObj(region) {
      const url = `http://localhost:4000/api/regions/${region.id}`;
      axios.delete(url).then(
        (result) => {
          if (result) { this.get(); }
        },
      ).catch((error) => {
        console.log(error);
      });
    },
  },
};
</script>

<style scoped>
@import "../CSS/Managment.css";
</style>
